SharpeRatio.annualized {PerformanceAnalytics} | R Documentation

## calculate annualized Sharpe Ratio

### Description

The Sharpe Ratio is a risk-adjusted measure of return that uses standard deviation to represent risk.

### Usage

    SharpeRatio.annualized(R, Rf = 0, scale = NA, geometric = TRUE)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rf` | risk free rate, in same period as your returns
`scale` | number of periods in a year (daily scale = 252, monthly scale = 12, quarterly scale = 4)
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE

### Details

The Sharpe ratio is simply the return per unit of risk (represented by variance). The higher the Sharpe ratio, the better the combined performance of "risk" and return.

This function annualizes the number based on the scale parameter.

\frac{√[n]{prod(1+R_{a})^{scale}}-1}{√{scale}\cdot√{σ}}

Using an annualized Sharpe Ratio is useful for comparison of multiple return streams. The annualized Sharpe ratio is computed by dividing the annualized mean monthly excess return by the annualized monthly standard deviation of excess return.

William Sharpe now recommends Information Ratio preferentially to the original Sharpe Ratio.

### Author(s)

Peter Carl

### References

Sharpe, W.F. The Sharpe Ratio,Journal of Portfolio Management,Fall 1994, 49-58.

### See Also

`SharpeRatio`
`InformationRatio`
`TrackingError`
`ActivePremium`
`SortinoRatio`

### Examples

    data(managers)
    SharpeRatio.annualized(managers[,1,drop=FALSE], Rf=.035/12)
    SharpeRatio.annualized(managers[,1,drop=FALSE], Rf = managers[,10,drop=FALSE])
    SharpeRatio.annualized(managers[,1:6], Rf=.035/12)
    SharpeRatio.annualized(managers[,1:6], Rf = managers[,10,drop=FALSE])
    SharpeRatio.annualized(managers[,1:6], Rf = managers[,10,drop=FALSE],geometric=FALSE)

[Package PerformanceAnalytics version 1.5.3 Index]